PDA

View Full Version : Animated Collapsible DIV v2.4 / Ajax Side Panel JQuery Version Conflict



Zatek
03-20-2013, 07:40 PM
1) Script Title: Animated Collapsible DIV v2.4 / Ajax Side Panel

2) Script URL (on DD): http://www.dynamicdrive.com/dynamicindex17/ajaxsidepanel.htm
http://www.dynamicdrive.com/dynamicindex17/animatedcollapse.htm

3) Describe problem: The feature in the Animated Collapsible DIV v2.4 that allows persistable DIV states between browser sessions breaks if I use JQuery version 1.7.1 or higher. If I use a JQuery version before 1.7.1 then the Ajax Side Panel doesn't work. I've tried every version of JQuery available for download on the JQuery site and none of them allow both functions to work.

Any help is appreciated.

ajfmrf
03-21-2013, 03:53 AM
Please post a link to the page on your site that contains the problematic script so we can check it out.

There could me more to the problem then you think

Zatek
03-22-2013, 01:21 AM
Sorry, my site is not on a publicly accessible domain, but I did test your theory. I created a test page for the Ajax Side panel with nothing but the code provided in the script example. Works if I use JQuery 1.7.1 or higher, but If I use 1.6 or lower it does not. I did the same with the Collapsable DIVs script. The DIV states will not persist between browser sessions if JQuery 1.7.1 or higher is used. I will just have to script my own code to save the DIV states I guess.